<?php
if (function_exists('mb_convert_encoding')) {
	$charset = 'UTF-8';
} else {
	$charset = get_settings('blog_charset');
}
header('Content-type: text/xml; charset=' . $charset, true);
echo '<?xml version="1.0" encoding="' . $charset . "\"?>\n";
?>
<rdf:RDF
xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
xmlns:dc="http://purl.org/dc/elements/1.1/"
xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
xmlns:admin="http://webns.net/mvcb/"
xmlns:cc="http://web.resource.org/cc/"
xmlns="http://purl.org/rss/1.0/">
<channel rdf:about="<?php bloginfo('home'); ?>" />
<?php
$posts = the_monthly_posts();
foreach ($posts as $post) : setup_postdata($post);
?>
<item rdf:about="<?php the_permalink(); ?>">
<title><?php the_title_rss(); ?></title>
<link_daily><?php bloginfo('home'); echo '?m='; the_time('Ymd'); ?></link_daily>
<link_Individual><?php the_permalink(); ?></link_Individual>
<description><?php the_excerpt_rss(); ?></description>
<content type="text/html" mode="escaped" xml:lang="ja">
<?php the_content_rss(); ?>
</content>
<dc:date><? the_time('Y-m-d'); echo 'T'; the_time('H:i:s'); echo('+0900'); ?></dc:date>
</item>
<?php endforeach; ?>
</rdf:RDF>
